# Log in to the edgeLinux OS

### Access the edgeLinux OS terminal

There are several ways you can access the edgeLinux OS terminal

* In AntMan (vers. 0.9.1)
* via SSH
* Connect a keyboard and monitor
* IPMI: see the setup [page](https://docs.antsle.com/setup)&#x20;
* Click the '>\_Console' link in the main menu.

{% tabs %}
{% tab title="Antman" %}
![](https://2204297924-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LykQfPew0YJZLWKBUYz%2F-LzmEuMYakgaqNVYYqUs%2F-LzmF-Xgl7LY94DdLhek%2Fimage.png?alt=media\&token=e2be48d5-190b-4d43-ba8f-259888b1093a)

Prior to antMan 0.10.0 You are prompted to enter your root username.<br>

![](https://2204297924-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LykQfPew0YJZLWKBUYz%2F-LzmEuMYakgaqNVYYqUs%2F-LzmF9MKV8UooaWBJgcJ%2Fimage.png?alt=media\&token=db2f10ab-6c4b-4c8c-9224-23d930fdc666)

Now you have access to the EdgeLinux command line.<br>

![](https://2204297924-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LykQfPew0YJZLWKBUYz%2F-LzmEuMYakgaqNVYYqUs%2F-LzmFxwNxkIPcksKMLwO%2FScreen%20Shot%202020-01-29%20at%209.05.28%20AM.png?alt=media\&token=d20161e2-f22f-45ff-b795-736631ceaf19)
{% endtab %}

{% tab title="SSH" %}
You can SSH to the edgeLinux OS in the following ways

**Using the private IP address of the antsle**

```
ssh root@x.x.x.x
```

**Using antsle\_name.local**

```
ssh root@myantsle.local
```

replace 'myantsle' with the name of your antsle

**With an .antsle.us subdomain**

You can [get an antsle.us subdomain in antHill](https://docs.antsle.com/system/secure-https-access-to-antman)

```
ssh root@yoursubdomain.antsle.us
```

![](https://2204297924-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LykQfPew0YJZLWKBUYz%2F-LzmHASPTr82l-G-J1p1%2F-LzmHDkzpDBvVjKfQFvb%2Fimage.png?alt=media\&token=ddafa6f3-a14e-4ac0-937e-e85180a5e400)
{% endtab %}
{% endtabs %}

#### [Read the docs on accessing your antlets](https://docs.antsle.com/antlets/access-antlets)

### SSH Tools <a href="#ssh-tools" id="ssh-tools"></a>

In case you are not familiar with `ssh`, it's very easy to use with many [excellent tutorials](http://support.suso.com/supki/SSH_Tutorial_for_Linux) out there.

**MacOS and Linux**: SSH is built-in and run with the terminal\
**Windows**: For Windows you can use packages like [PuTTY](http://www.putty.org/) or [MobaXterm](https://mobaxterm.mobatek.net/).

![](https://2204297924-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LykQfPew0YJZLWKBUYz%2F-LzmHASPTr82l-G-J1p1%2F-LzmIbkPvUcJk1JSevrm%2Fimage.png?alt=media\&token=fc38d7f6-dbaf-41e0-9354-4c85ca59d3d5)

Or try WSL, aka: Bash on Ubuntu on Windows. This seems to work well but will not resolve .local domain names.

### Want to access your antlets next? [Read the guide](https://docs.antsle.com/antlets/access-antlets). <a href="#caveats" id="caveats"></a>

### &#x20;<a href="#web-access-to-your-antlets" id="web-access-to-your-antlets"></a>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antsle.com/get-started/log-in-to-the-edgelinux-os-and-antlets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
